ROCM-TEST-LAUNCHER(1)

NAME
rocm-test-launcher - rocm-test-launcher

DESCRIPTION
usage: rocm-test-launcher [options] CMD [ARGS ...]

Checks for availability of and access to an AMD GPU, runs the test, and exits with the exit code of the test, or with exit code 77 ("skipped") if no (accessible) GPU was found. Optionally exports some system data as autopkgtest artifacts.

Use this helper to skip tests on ci.debian.net (which doesn't support GPUs) but have them run on ci.rocm.debian.net (which supports multiple AMD GPU architectures). The latter automatically tests all packages in the official Archive that depend on any package from the Debian ROCm Team.

To run the autopkgtests on your own system, in a QEMU VM or a rootless podman container, you will need the utilities provided by package rocm-qemu-support resp. rocm-podman-support.

  Supported options:

-h, --help

    Print this help

--cd-tmp

    Change directory to AUTOPKGTEST_TMP before executing the test.

  Supported environment variables:

    ROCM_TEST_LAUNCHER_WITH_DMESG

    If set, export dmesg before and after the test as an autopkgtest artifact. The user in the testbed must have access to dmesg, so either the user needs to be privileged, or dmesg must not be restricted. Restriction can be lifted with sudo `sysctl kernel.dmesg_restrict=0`.

    ROCM_TEST_LAUNCHER_WITH_DRI[=PATH]

    If set, export firmware and possibly other GPU-specific information as an autopkgtest artifact. The user in the testbed must have access to "/sys/kernel/debug/dri/", which requires privileges. Alternatively, one can bind-mount that directory to some user-readable path, eg: `mount --bind /sys/kernel/debug/dri /tmp/foo`, and pass that path as ROCM_TEST_LAUNCHER_WITH_DRI=/tmp/foo.

    ROCM_TEST_LAUNCHER_WITH_ROCMINFO

    If set, export the output of `rocminfo` as an autopkgtest artifact.

  Examples for d/tests/control:

    Simple:

    Test-Command: rocm-autopkgtest-helper --verbose --skip BadTest123 Depends: @, rocm-autopkgtest-helper Restrictions: skippable Architecture: amd64 arm64 ppc64el

    Write your own test runner/wrapper, have rocm-autopkgtest-helper call it:

    Test-Command: rocm-autopkgtest-helper debian/tests/my-runner Depends: @, rocm-autopkgtest-helper Restrictions: skippable Architecture: amd64 arm64 ppc64el